commit 758f2c0c78c4de06c5cf86fcf6e07f5769be1549
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:   2011-05-01

    1.2.8.11 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 57124aa5661d8e78035daee54628acd2cb72067a
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-05-01

    Fix for bug introduced in commit
    72cacbac293e866310b608d57f4ff08a61a4410b

M	src/gnome-cmd-search-dialog.cc

commit 6845bbeaec95634084fcfeeedf2dbd24e64481cf
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-05-01

    Minor docs update

M	NEWS
M	doc/C/gnome-commander.xml

commit d0dd59f91f9ab502431ec0f186aa159124eb594c
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-04-29

    Support for backward/forward mouse buttons

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file-selector.cc

commit 5dcd000b728e772243dab0d091cace5ad7cf88b4
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-04-27

    do not cast std::string to c_str() in gnome_cmd_con_ftp_new ()

M	src/gnome-cmd-data.cc

commit 52947c394af896f127e098e1ed7aa686a47018f0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-04-10

    GnomeCmdFile: assert on uri being local in
    gnome_cmd_file_new_from_uri(GnomeVFSURI *uri)

M	src/gnome-cmd-file.cc

commit 090abb6f2c83eb8391604e741f1a6c9d7fd1a859
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-04-10

    GnomeCmdFile: fix for broken declaration

M	src/gnome-cmd-file.h

commit 5e0a328c14c1ee32b12efe7df7b390d309750feb
Author: Daniel R. Avalos <avalosdanielr@gmx.com>
Date:	2011-04-09

    Fix for problem with starting gnome-commander as root

M	src/gnome-cmd-user-actions.cc

commit 8c285bb1231d7ebb991aab6d3840df08f2733c2b
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-04-08

    Safety precautions for g_mutex_lock() and g_mutex_unlock()

M	src/gnome-cmd-search-dialog.cc

commit 72cacbac293e866310b608d57f4ff08a61a4410b
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-04-02

    search: ref found GnomeCmdFile

M	src/gnome-cmd-search-dialog.cc

commit 0e06602f85db34288fc713f4422b20cd76049911
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-04-02

    noop: code cleanup

M	src/gnome-cmd-search-dialog.cc

commit 8813c8a9573a28e3fcb6dd8567f88b7e0b249bba
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-03-28

    search: rename start_search() -> start_generic_search()

M	src/gnome-cmd-search-dialog.cc

commit 16c77f2c07c7ab6e6fe92d89a5b105057a995ce0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-03-28

    noop: code cleanup

M	src/gnome-cmd-search-dialog.cc

commit c03a3f9421824649bf9c7cbf7445aceb0b97c585
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-03-28

    noop: code cleanup

M	src/gnome-cmd-search-dialog.cc

commit 7d985c28316239acf40e4d091eacdd8b1cc8510b
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-03-27

    search: simplify code for dlg buttons

M	src/gnome-cmd-search-dialog.cc

commit dae7a7cc11383aed16a6d2308add29fc495e813c
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-03-08

    GnomeCmdFileList: do not show bogus focus if there is any activity
    in inactive pane

M	src/gnome-cmd-file-list.cc

commit e0b62419cb0350af69c5babf7beecdae61096683
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-03-03

    Removal of superfluous code

M	src/dirlist.cc

commit dc8ed6af604bab0a344119ac39915f1fda467d71
Author: RayCherng Yu <raycherng@gmail.com>
Date:	2011-03-03

    Fixed problem with Traditional Chinese translation

M	NEWS
M	doc/C/gnome-commander.xml
M	po/zh_TW.po

commit 53a7d4d6ed23a7eb8cc420a6d48026e6a50bc2fe
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-02-15

    Fixed problem #639243 (misleading docs for F2 shortcut)

M	NEWS
M	doc/C/gnome-commander.xml
M	doc/keys.txt

commit 4851161038d102d8384ce550fe319b08ca15b5e9
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-02-02

    Fix for memory leak

M	src/gnome-cmd-smb-path.cc

commit 98ac13190645d500bdadc173845f4b7cb51ff6a0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-02-01

    Eliminate redundant g_strdup() and fix for memory leak

M	src/gnome-cmd-smb-path.cc

commit 67be7a6308bd4b93df4427b292e9ef55ec96bf0f
Author: phan <phanyx@o2.pl>
Date:	2010-09-08

    Fix for broken samba browsing

    Fix typo in get_file_info_callback(), which
    was overwriting the con->state=CON_STATE_OPEN;
    with con->state=CON_STATE_CLOSED;

M	src/gnome-cmd-con-smb.cc

commit bf3cc9e54ece5afd2c60689b9b965510e83e2e3a
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-25

    Updated TODO

M	TODO

commit 07be55a07b904cd5b29331ffce34329387fc542f
Author: Alessio Treglia <alessio@debian.org>
Date:	2011-01-26

    Fix desktop file Freedesktop.org's per-spec

M	data/gnome-commander.desktop.in.in

commit de7bfc961b857d6772f58f46d9fa82c83f77d67c
Author: Alessio Treglia <alessio@debian.org>
Date:	2011-01-26

    Fix mistakes in the manpage

M	doc/gnome-commander.1

commit c529c5af4981c8fcc1409ed23ae87062c05e4f1d
Author: Alessio Treglia <alessio@debian.org>
Date:	2011-01-26

    Fix spelling errors

M	src/intviewer/fileops.cc

commit 29b3f91c6cd1b8062ed9c5d95ef2515bb24147f5
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-25

    Fix for GtkSpinButton "adjustment with non-zero page size" deprecation
    message

M	libgcmd/libgcmd-widget-factory.cc

commit 95ba95eb4ea5246b937ffd6079a26fe9cb916c9f
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-24

    Docs update

M	doc/C/gnome-commander.xml

commit 1832ba3412a1f9404a13952d2e26815cdf2f8e77
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-24

    Fixed problem #640387 (usage of deprecated python modules: md5, sha1)

M	NEWS
M	doc/C/gnome-commander.xml
M	plugins/python/md5sum/md5sum.py
M	plugins/python/sha1sum/sha1sum.py

commit 26ca2c35d07beaada8acd9e7a8e5b826319f335f
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-24

    docs: updated copyright info

M	doc/C/gnome-commander.xml

commit f3e3f97a033a274f8f6b2791f8c142948a9c59eb
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-24

    Docs update

M	NEWS
M	doc/C/gnome-commander.xml

commit 2d19824956458b559be411bb8378da2e1ff9fa76
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-24

    Bumped version to 1.2.8.11

M	configure.in

commit b9750b8dc05aae987557decd711b90834cd8b7a5
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-15

    Fix for bug introduced in commit
    ad68b01d5a19a33cfbc97f222e3deba6cfcab152 (fixed problem #638954 ...)

M	src/gnome-cmd-search-dialog.cc

commit 2f13083ac99ac0d011948dfab91806e32b1ae146
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-15

    1.2.8.10 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit e9924b2db480530ad08444cb763634c8317f8da1
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-08

    Docs update

M	NEWS
M	doc/C/gnome-commander.xml

commit ad68b01d5a19a33cfbc97f222e3deba6cfcab152
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-08

    Fixed problem #638954 (search path is wrong for devices)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-search-dialog.cc

commit a2b23c2c156b476d5d5436264a18a384e0f6e594
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-07

    Assert for plugin!=NULL BEFORE using it

M	src/plugin_manager.cc

commit 0beec683e814218dcd8eac69dee73928fed8bd58
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-02

    Fixed problem #620275 (add menu item to copy full path and file name
    to clipboard)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file-popmenu.cc

commit b9c70fe51182a40c113ac900670f32a775a0571c
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2011-01-02

    Updated copyright info

M	README.in
M	data/gnome-commander.ebuild.in
M	libgcmd/gnome-cmd-dialog.cc
M	libgcmd/gnome-cmd-dialog.h
M	libgcmd/gnome-cmd-file-info.cc
M	libgcmd/gnome-cmd-file-info.h
M	libgcmd/gnome-cmd-plugin.cc
M	libgcmd/gnome-cmd-plugin.h
M	libgcmd/gnome-cmd-state.h
M	libgcmd/gnome-cmd-string-dialog.cc
M	libgcmd/gnome-cmd-string-dialog.h
M	libgcmd/libgcmd-data.cc
M	libgcmd/libgcmd-data.h
M	libgcmd/libgcmd-deps.h
M	libgcmd/libgcmd-utils.cc
M	libgcmd/libgcmd-utils.h
M	libgcmd/libgcmd-widget-factory.cc
M	libgcmd/libgcmd-widget-factory.h
M	libgcmd/libgcmd.h
M	libgcmd/plugin-info.h
M	plugins/cvs/cvs-plugin.cc
M	plugins/cvs/cvs-plugin.h
M	plugins/cvs/interface.cc
M	plugins/cvs/interface.h
M	plugins/cvs/parser.h
M	plugins/cvs/parser.ll
M	plugins/fileroller/file-roller-plugin.cc
M	plugins/fileroller/file-roller-plugin.h
M	plugins/python/md5sum/md5sum.py
M	plugins/python/sha1sum/sha1sum.py
M	plugins/test/test-plugin.cc
M	plugins/test/test-plugin.h
M	src/block.cc
M	src/cap.cc
M	src/cap.h
M	src/dialogs/gnome-cmd-advrename-regex-dialog.cc
M	src/dialogs/gnome-cmd-advrename-regex-dialog.h
M	src/dialogs/gnome-cmd-edit-profile-dialog.cc
M	src/dialogs/gnome-cmd-edit-profile-dialog.h
M	src/dialogs/gnome-cmd-manage-profiles-dialog.cc
M	src/dialogs/gnome-cmd-manage-profiles-dialog.h
M	src/dict.h
M	src/dirlist.cc
M	src/dirlist.h
M	src/eggcellrendererkeys.cc
M	src/eggcellrendererkeys.h
M	src/filter.cc
M	src/filter.h
M	src/gnome-cmd-about-plugin.cc
M	src/gnome-cmd-about-plugin.h
M	src/gnome-cmd-advrename-dialog.cc
M	src/gnome-cmd-advrename-dialog.h
M	src/gnome-cmd-advrename-lexer.h
M	src/gnome-cmd-advrename-lexer.ll
M	src/gnome-cmd-app.cc
M	src/gnome-cmd-app.h
M	src/gnome-cmd-chmod-component.cc
M	src/gnome-cmd-chmod-component.h
M	src/gnome-cmd-chmod-dialog.cc
M	src/gnome-cmd-chmod-dialog.h
M	src/gnome-cmd-chown-component.cc
M	src/gnome-cmd-chown-component.h
M	src/gnome-cmd-chown-dialog.cc
M	src/gnome-cmd-chown-dialog.h
M	src/gnome-cmd-clist.cc
M	src/gnome-cmd-clist.h
M	src/gnome-cmd-cmdline.cc
M	src/gnome-cmd-cmdline.h
M	src/gnome-cmd-con-device.cc
M	src/gnome-cmd-con-device.h
M	src/gnome-cmd-con-dialog.cc
M	src/gnome-cmd-con-dialog.h
M	src/gnome-cmd-con-ftp.cc
M	src/gnome-cmd-con-ftp.h
M	src/gnome-cmd-con-home.cc
M	src/gnome-cmd-con-home.h
M	src/gnome-cmd-con-list.cc
M	src/gnome-cmd-con-list.h
M	src/gnome-cmd-con-smb.cc
M	src/gnome-cmd-con-smb.h
M	src/gnome-cmd-con.cc
M	src/gnome-cmd-con.h
M	src/gnome-cmd-convert.cc
M	src/gnome-cmd-convert.h
M	src/gnome-cmd-data.cc
M	src/gnome-cmd-data.h
M	src/gnome-cmd-delete-dialog.cc
M	src/gnome-cmd-delete-dialog.h
M	src/gnome-cmd-dir-indicator.cc
M	src/gnome-cmd-dir-indicator.h
M	src/gnome-cmd-dir.cc
M	src/gnome-cmd-dir.h
M	src/gnome-cmd-file-collection.cc
M	src/gnome-cmd-file-collection.h
M	src/gnome-cmd-file-list.cc
M	src/gnome-cmd-file-list.h
M	src/gnome-cmd-file-popmenu.cc
M	src/gnome-cmd-file-popmenu.h
M	src/gnome-cmd-file-props-dialog.cc
M	src/gnome-cmd-file-props-dialog.h
M	src/gnome-cmd-file-selector.cc
M	src/gnome-cmd-file-selector.h
M	src/gnome-cmd-file.cc
M	src/gnome-cmd-file.h
M	src/gnome-cmd-hintbox.cc
M	src/gnome-cmd-hintbox.h
M	src/gnome-cmd-includes.h
M	src/gnome-cmd-key-shortcuts-dialog.cc
M	src/gnome-cmd-key-shortcuts-dialog.h
M	src/gnome-cmd-list-popmenu.cc
M	src/gnome-cmd-list-popmenu.h
M	src/gnome-cmd-main-menu.cc
M	src/gnome-cmd-main-menu.h
M	src/gnome-cmd-main-win.cc
M	src/gnome-cmd-main-win.h
M	src/gnome-cmd-make-copy-dialog.cc
M	src/gnome-cmd-make-copy-dialog.h
M	src/gnome-cmd-menu-button.cc
M	src/gnome-cmd-menu-button.h
M	src/gnome-cmd-mkdir-dialog.cc
M	src/gnome-cmd-mkdir-dialog.h
M	src/gnome-cmd-notebook.cc
M	src/gnome-cmd-notebook.h
M	src/gnome-cmd-options-dialog.cc
M	src/gnome-cmd-options-dialog.h
M	src/gnome-cmd-path.cc
M	src/gnome-cmd-path.h
M	src/gnome-cmd-patternsel-dialog.cc
M	src/gnome-cmd-patternsel-dialog.h
M	src/gnome-cmd-pixmap.cc
M	src/gnome-cmd-pixmap.h
M	src/gnome-cmd-plain-path.cc
M	src/gnome-cmd-plain-path.h
M	src/gnome-cmd-prepare-copy-dialog.cc
M	src/gnome-cmd-prepare-copy-dialog.h
M	src/gnome-cmd-prepare-move-dialog.cc
M	src/gnome-cmd-prepare-move-dialog.h
M	src/gnome-cmd-prepare-xfer-dialog.cc
M	src/gnome-cmd-prepare-xfer-dialog.h
M	src/gnome-cmd-profile-component.cc
M	src/gnome-cmd-profile-component.h
M	src/gnome-cmd-python-plugin.cc
M	src/gnome-cmd-python-plugin.h
M	src/gnome-cmd-quicksearch-popup.cc
M	src/gnome-cmd-quicksearch-popup.h
M	src/gnome-cmd-regex.h
M	src/gnome-cmd-remote-dialog.cc
M	src/gnome-cmd-remote-dialog.h
M	src/gnome-cmd-rename-dialog.cc
M	src/gnome-cmd-rename-dialog.h
M	src/gnome-cmd-search-dialog.cc
M	src/gnome-cmd-search-dialog.h
M	src/gnome-cmd-smb-auth.cc
M	src/gnome-cmd-smb-auth.h
M	src/gnome-cmd-smb-net.cc
M	src/gnome-cmd-smb-net.h
M	src/gnome-cmd-smb-path.cc
M	src/gnome-cmd-smb-path.h
M	src/gnome-cmd-style.cc
M	src/gnome-cmd-style.h
M	src/gnome-cmd-treeview.cc
M	src/gnome-cmd-treeview.h
M	src/gnome-cmd-types.h
M	src/gnome-cmd-user-actions.cc
M	src/gnome-cmd-user-actions.h
M	src/gnome-cmd-xfer-progress-win.cc
M	src/gnome-cmd-xfer-progress-win.h
M	src/gnome-cmd-xfer.cc
M	src/gnome-cmd-xfer.h
M	src/gnome-cmd-xml-config.cc
M	src/gnome-cmd-xml-config.h
M	src/handle.h
M	src/history.cc
M	src/history.h
M	src/imageloader.cc
M	src/imageloader.h
M	src/intviewer/bm_byte.cc
M	src/intviewer/bm_byte.h
M	src/intviewer/bm_chartype.cc
M	src/intviewer/bm_chartype.h
M	src/intviewer/cp437.cc
M	src/intviewer/cp437.h
M	src/intviewer/datapresentation.cc
M	src/intviewer/datapresentation.h
M	src/intviewer/fileops.cc
M	src/intviewer/fileops.h
M	src/intviewer/gvtypes.h
M	src/intviewer/image-render.cc
M	src/intviewer/image-render.h
M	src/intviewer/inputmodes.cc
M	src/intviewer/inputmodes.h
M	src/intviewer/libgviewer.h
M	src/intviewer/scroll-box.cc
M	src/intviewer/scroll-box.h
M	src/intviewer/search-dlg.cc
M	src/intviewer/search-dlg.h
M	src/intviewer/search-progress-dlg.cc
M	src/intviewer/search-progress-dlg.h
M	src/intviewer/searcher.cc
M	src/intviewer/searcher.h
M	src/intviewer/text-render.cc
M	src/intviewer/text-render.h
M	src/intviewer/viewer-utils.cc
M	src/intviewer/viewer-utils.h
M	src/intviewer/viewer-widget.cc
M	src/intviewer/viewer-widget.h
M	src/intviewer/viewer-window.cc
M	src/intviewer/viewer-window.h
M	src/ls_colors.cc
M	src/ls_colors.h
M	src/main.cc
M	src/owner.cc
M	src/owner.h
M	src/plugin_manager.cc
M	src/plugin_manager.h
M	src/tags/gnome-cmd-tags-doc.cc
M	src/tags/gnome-cmd-tags-doc.h
M	src/tags/gnome-cmd-tags-exiv2.cc
M	src/tags/gnome-cmd-tags-exiv2.h
M	src/tags/gnome-cmd-tags-file.cc
M	src/tags/gnome-cmd-tags-file.h
M	src/tags/gnome-cmd-tags-poppler.cc
M	src/tags/gnome-cmd-tags-poppler.h
M	src/tags/gnome-cmd-tags-taglib.cc
M	src/tags/gnome-cmd-tags-taglib.h
M	src/tags/gnome-cmd-tags.cc
M	src/tags/gnome-cmd-tags.h
M	src/utils.cc
M	src/utils.h
M	src/widget-factory.h

commit 05a0c6c470e18c7a0424caf1a77c30a74212b5dd
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-18

    Fixed problem #637501 (advrename: metatag popup menu shows wrong
    items)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-profile-component.cc

commit 4eb8e3ea71afad4e5e684eec5119a7b876c4cf32
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-18

    Fixed broken metatag id (Exif.TIFF/EPStandardID ->
    Exif.TIFF_EPStandardID)

M	doc/C/gnome-commander.xml
M	src/tags/gnome-cmd-tags.cc

commit 58e11a27d5159560bd0b6426e6b167a3a1b310de
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-18

    advrename: allow '_' to be a part of the metatag name

M	src/gnome-cmd-advrename-lexer.ll

commit 755064b9971857e226c9aee25f589cdd6b460058
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-16

    Fixed problem with toggling path/basename/filename selections in
    copy/move dialogs

M	NEWS
M	doc/C/gnome-commander.xml
M	src/utils.cc

commit 60a828f87ea3e0c3405d758e123e6ac27c1f35a4
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-16

    Docs update

M	NEWS
M	doc/C/gnome-commander.xml

commit 09abe68c50ef56eca93ca651832c028943929b14
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-15

    Fixed mail address in AUTHORS

M	AUTHORS

commit d86a60b13e934003eb7b66eba12385b0505d659d
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-15

    [l10n] Updated German translation

M	po/de.po

commit 6174642c1993e78e00ef56465ecea6f33675e2f7
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-13

    Simplify and speedup DEBUG_ENABLED()

M	src/utils.cc
M	src/utils.h

commit 4d249e9ba6ed67f0869d018faad627505dc604c3
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-05

    Fixed problem #448941 (numeric keypad arrows don't work in the
    main window)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file-list.cc
M	src/gnome-cmd-file-selector.cc

commit eb96e313858b487ec46a9b57c790db9ce491af0b
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-05

    Docs update

M	NEWS
M	doc/C/gnome-commander.xml

commit 2b7f1b56ef0b56865ea713786a42fc3b5778a5d6
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-05

    Bumped version to 1.2.8.10

M	configure.in

commit f9181c11b793de61a3287fe65aabc846e8a442a0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-12-03

    1.2.8.9 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit c9c3f66bd53d69e8e2deab8f1be5aeb0a7d1873b
Author: Thomas Jost <thomas.jost@gmail.com>
Date:	2010-12-02

    If not set to GDK_WINDOW_TYPE_HINT_DIALOG, some window managers
    (e.g. Awesome) will just display this as a regular dialog window.

M	src/gnome-cmd-rename-dialog.cc

commit 0114fc7b09652e1743d35f80cacb800835502b71
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-11-26

    Removed unused handler for "drag-begin" signal

M	src/gnome-cmd-file-selector.cc

commit a25d21991999c40273b5f2b255da2270bd9a8535
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-11-21

    Revert "If not set to "utility", some window managers (e.g. Awesome)
    will just display this as a regular dialog window."

    This reverts commit 01f8bcfb483349370e977b0ef1680e10cd22c2a8.

M	src/gnome-cmd-rename-dialog.cc

commit aeef19908d203afa7c291f4f1b126d92a696d924
Author: Thomas Jost <thomas.jost@gmail.com>
Date:	2010-11-19

    Fixed problem #352024 (F10 key doesn't work)

    The current behavior is incoherent: F10 should close the window,
    but it
    currently gives focus to the menu bar (#352024). Since this is
    the expected
    behavior according to the GNOME HIG, removing the F10 assignment is
    probably a
    good idea.

M	NEWS
M	doc/C/gnome-commander.xml
M	doc/keys.txt
M	src/gnome-cmd-key-shortcuts-dialog.cc
M	src/gnome-cmd-main-win.cc
M	src/gnome-cmd-user-actions.cc

commit 75a10ed03e1c7c538fd9e064d3a194856efdfda8
Author: Thomas Jost <thomas.jost@gmail.com>
Date:	2010-11-12

    If not set to "utility", some window managers (e.g. Awesome) will
    just display this as a regular dialog window.

M	src/gnome-cmd-rename-dialog.cc

commit 683e5216ee453fba2c4664086f461cd47b16e631
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-11-02

    Man update

M	doc/gnome-commander.1

commit bb761bd4559f2efe2c31ebca966e59ab838abe05
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-10-08

    Fixed problem #631243 (advrename $c(width) regression)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-advrename-lexer.ll

commit bf2b1d4b9ca1c2ff1d33bdeaf87654dca2067921
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-10-02

    Typo fix

M	doc/C/gnome-commander.xml

commit 8d1f172cf7f53920e364d95d0f4b2ef6dae6461b
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-09-30

    Added forgotten GDK_question key

M	src/gnome-cmd-main-win.cc

commit 7adfc0dee50b325616ef707f3d31d0a6769b7ecb
Author: 杨英超 <yangyingchao@gmail.com>
Date:	2010-09-30

    Quick search using shell-style wildcards

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-main-win.cc
M	src/gnome-cmd-quicksearch-popup.cc

commit e3c2461484681bba55edb77f43a57ab03b20df09
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-09-30

    Revert the bug introduced in commit
    d91fbecdd4d25c9421a217bdb2ffb137397f5cd3

M	src/filter.h

commit f80581b86b13e81166a2eb2dbfddf3e1fbc45390
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-09-30

    Docs update

M	NEWS
M	doc/C/gnome-commander.xml

commit a62ac273b15a736b46a5fabe00169cdb2343d940
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-09-29

    Added gnome_cmd_filter_fnmatch() function

M	src/filter.cc
M	src/filter.h

commit e1095f30405e22de4002a35700095df316ee3055
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-09-15

    Removed unused xfer callback.

    This should result in some transfer speedup - especially for large
    files

M	src/gnome-cmd-xfer.cc

commit d2b7fc6ae9aae79fb72c8a1d6238418f43573406
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-09-16

    Bumped version to 1.2.8.9

M	configure.in

commit 875508a8ad71b1539090e4b3aa37b578dcce1b3c
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-09-08

    1.2.8.8 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 7133f0e2624713e1c9da2302f378987f062b4f35
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-17

    Fixed problem #626469 (add support for other su-like programs:
    xdg-su, gnomesu)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-user-actions.cc

commit ea8a6eaefaa51e3fcaa2cc3c33934c49402ff0b7
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-12

    inline quote_if_needed()

M	src/gnome-cmd-file.cc
M	src/utils.cc
M	src/utils.h

commit b4ab356db3f9d41e6e68f9fc7e371e0885695433
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-11

    Revert for bug intrduced in commit
    473cefb855dd30739f18d7309ef0cb49dbd6392e (do not disconnect local
    connections)

M	src/gnome-cmd-user-actions.cc

commit 606d800b6f75198754ff8a5b5a6095fd9809409a
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-11

    Root mode: use kdesu only if there is no other *su

M	src/gnome-cmd-user-actions.cc

commit 5ce452f2e36fdc7c9e6e5f568bc432c7a1dbc1db
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-10

    GnomeCmdDir: removed superfluous class members zero-inits

M	src/gnome-cmd-dir.cc

commit c944769c0b90e006ae12ca95b13978d6c1dad20c
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-09

    GnomeCmdFile: removed superfluous class members zero-inits

M	src/gnome-cmd-file.cc

commit ff79c50ea90649c28d6318d0b721af6c7c20910f
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-08

    GnomeCmdFileInfo: do not allocate memory for non-existent priv member

M	libgcmd/gnome-cmd-file-info.cc
M	libgcmd/gnome-cmd-file-info.h

commit c632116970279ee2932e0243d7a227480198d7ae
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-07

    Docs update

M	NEWS
M	doc/C/gnome-commander.xml

commit 02e4f2b39766df8fb109836d052e309a3e3c77f3
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-07

    Refreshed Spanish translation

M	po/es.po

commit a17dcb37cd1ec704ce69a28a40a783ef5b8bb9f7
Author: Jorge Gonzalez <jorgegonz@svn.gnomme.org>
Date:	2009-07-07

    Updated Spanish translation

    Author:    Jorge Gonzalez <jorgegonz@svn.gnomme.org>

M	po/es.po

commit 8d3c2810c99accb51dccaf3f640a64ce89ebeabc
Author: Martin Riarte <martinriarte@opticare.com.ar>
Date:	2010-08-06

    Fix for 'g_source_remove: assertion "tag > 0" failed' assertion

M	src/gnome-cmd-file-props-dialog.cc

commit be2f78ce704d49f410abb92214fc02d234f040fc
Author: Martin Riarte <martinriarte@opticare.com.ar>
Date:	2010-08-05

    Fixed problem #610764 (menu item won't stay checked)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-main-menu.cc

commit f6e8a8ed2cab43f84c7ff514ae6bad1ea513af11
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-08-05

    Bumped version to 1.2.8.8

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml

commit 632e32c07afcc27c78c292b6b31a0c5b75d6b8b9
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-07-27

    1.2.8.7 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 883aa74cdac07d1fa3bf4e5966f9daf7964b9de1
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-28

    Fix for bug introduced in commit
    d2d87658f04c6c8f3ba2e2030cded71124c595a5: "Fixed problem #622456
    (do not build plugins as shared library objects)"

M	libgcmd/Makefile.am

commit ffcd5e455a61fbbc952f7992e84448a458b5c87e
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-24

    Updated copyright info

M	plugins/cvs/parser.ll

commit be5a0d9ef4e320b36c4d99e94c61f918a3c890a2
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-23

    Updated copyright info

M	README.in

commit a0c1dc553af45c8a814e287038ec30e515851222
Author: Dominique Leuenberger <dominique-gnomezilla@leuenberger.net>
Date:	2010-06-23

    Fixed problem #622456 (do not build plugins as shared library objects)

M	NEWS
M	doc/C/gnome-commander.xml
M	libgcmd/Makefile.am
M	plugins/cvs/Makefile.am
M	plugins/fileroller/Makefile.am
M	plugins/test/Makefile.am

commit 88185c0b446fe96c54dae8f6d9687fa22c507e00
Author: Alasdair Craig <ac@acraig.za.net>
Date:	2010-06-21

    Fixed problem with editing options for favourite apps and devices

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-options-dialog.cc

commit 1c9effa4abefc14d28c52d918b6d6dfacd9fb60d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-20

    Fixed problem #616367 ("File not found" dialog after startup)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-dir.cc

commit 473cefb855dd30739f18d7309ef0cb49dbd6392e
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-15

    Do not disconnect local connections (CTRL+SHIFT+F)

M	src/gnome-cmd-user-actions.cc

commit 42280c17bd2d06a5a3e187408a6a89046014707d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-10

    Fixed problem #620650 (buffer overflow in load_fav_apps())

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-data.cc

commit bfcf89f077554d0970c9c259aa98dd42c2815e48
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-08

    Revert "Use g_strfreev() for freeing array of strings"

    This reverts commit cd7392d8f59dee0e3cf46140d46b4b58e38a22e5.

M	src/gnome-cmd-app.cc

commit cd7392d8f59dee0e3cf46140d46b4b58e38a22e5
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-07

    Use g_strfreev() for freeing array of strings

M	src/gnome-cmd-app.cc

commit ab22a902e842b4f6640188c0571f07fc32fee7b6
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-06

    Build filename using g_build_filename() than g_strdup_printf()

M	src/gnome-cmd-data.cc

commit d7072bd8fdac7208b4f9e156bea1e1b2bfc2ba50
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-05

    Use focused file name for new text document (SHIFT+F4)

M	src/gnome-cmd-file-selector.cc

commit be7284b60c8331b8e6d9167e509385d32375f3f9
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-05

    Ask for a file name when staring new text document (SHIFT+F4)

M	src/gnome-cmd-user-actions.cc

commit a1679773ac3fee65550be936d2f7b2cb0c3bd4bd
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-03

    Removed surplus diagnostics

M	src/gnome-cmd-user-actions.cc

commit 5a3622f43ae3903e33ea623be9dc03854ee821f0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-03

    Fixed problem #540438 (no GUI message if meld cannot be executed)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file-selector.cc
M	src/gnome-cmd-file.cc
M	src/gnome-cmd-user-actions.cc
M	src/utils.cc
M	src/utils.h

commit 3699663d612cf936861a77eec37056b3cc854476
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-03

    Bumped version to 1.2.8.7

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml

commit d815f1222989c3151370bd98e86c436dc08cda79
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-01

    1.2.8.6 release

M	configure.in
M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 40a7dbba0f8eb71b0d7f43c6c7fc4f12ed283f79
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-01

    Fixed problem #616891 (build error on RHEL 5.5)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/dialogs/gnome-cmd-advrename-regex-dialog.cc
M	src/gnome-cmd-advrename-dialog.cc
M	src/gnome-cmd-regex.h

commit 48f4b956fe6ce3cf489a259d5bdf5e551ddd0495
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-06-01

    Removed excessive #includes

M	src/gnome-cmd-regex.h

commit f3f817c8e37d295f9b8cb56f2cf5d4eb5f8ab724
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-05-16

    Copyright update

M	doc/C/gnome-commander.xml

commit f55160a417cb4af608acbfeb949535fed586131a
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-05-16

    Help docs: typo fix

M	doc/C/gnome-commander.xml

commit cd979a2cbc2f6d272366d86fec9e9a40bab31cd6
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-03-15

    root mode: use beesu if available

M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/es.po
M	po/eu.po
M	po/fr.po
M	po/it.po
M	po/ja.po
M	po/pl.po
M	po/pt_BR.po
M	po/sl.po
M	po/sv.po
M	src/gnome-cmd-user-actions.cc

commit c38193ff60f065fc2da1a2590933a7535c7c6f2a
Author: Ionut Anghelcovici <anghelcovici@gmail.com>
Date:	2010-03-12

    Fixed problem #612685 (crashes when double-clicking on a bookmark)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-bookmark-dialog.cc

commit 9da27c8bf51f4bad414e585c332616362b0b174a
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-03-11

    GNOME Goal: Remove "Application" category from .desktop files

M	data/gnome-commander.desktop.in.in

commit ff1be1284f8cf4d44284650716685734d60bcd82
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-03-11

    Minor fix in autotools scripts

M	src/dialogs/Makefile.am
M	src/intviewer/Makefile.am
M	src/tags/Makefile.am

commit b37f497862e7711e3e9a08511bbbe459d06602a5
Author: Sewon Jang <jangblue@gmail.com>
Date:	2010-03-02

    Added Korean translation

M	AUTHORS
M	NEWS
M	doc/C/gnome-commander.xml
M	po/LINGUAS
A	po/ko.po

commit 9f2025efb6d9deb62ab7f9538a958528d9c1d5db
Author: Przemysław Wesołek <pwes@o2.pl>
Date:	2010-03-01

    Fixed problem #602795 (file content search)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-search-dialog.cc

commit bfcfe96b539b266c55ac0b3021f137bbd5437876
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-02-15

    Fixed problem #609912 (build error with --as-needed)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/Makefile.am

commit c44d5a85082e600bd202df59b57c85ffe959a660
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-02-13

    1.2.8.5 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 19d0c99e647e94becaa98746034c0da529c88027
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-02-10

    Fixed problem #609342 (do not show mtime for '..')

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file-list.cc

commit 1647ba7cbb03c0872d7a30fb921ab18e8dac27c7
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-02-10

    GnomeCmdFile: minor speedups

    The checks if GnomeCmdFile was '..' dir, were done using many
    strcmp(f->info->name, "."). The fix replaces multiple calls to
    strcmp() with fast comparison to GnomeCmdFile::is_dotdot evaluated
    during GnomeCmdFile creation.

M	src/gnome-cmd-chmod-dialog.cc
M	src/gnome-cmd-chown-dialog.cc
M	src/gnome-cmd-delete-dialog.cc
M	src/gnome-cmd-file-list.cc
M	src/gnome-cmd-file-list.h
M	src/gnome-cmd-file-props-dialog.cc
M	src/gnome-cmd-file-selector.cc
M	src/gnome-cmd-file.cc
M	src/gnome-cmd-file.h
M	src/gnome-cmd-quicksearch-popup.cc
M	src/gnome-cmd-search-dialog.cc

commit 0e64853a534ca0efc23defefe1b80b6dbb4c2258
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-02-10

    noop: code cleanup

M	src/gnome-cmd-file.cc

commit d90ba6421f9d6ed49827d4d9ba7036306d2373a4
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-01-26

    Updated ebuild file for gentoo

M	data/gnome-commander.ebuild.in

commit d6a6403d031f661a64e495e4b1e809305e1ac52d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-01-17

    Fix for "gtk_entry_set_text: assertion `text != NULL'" assertion

M	src/gnome-cmd-con-dialog.cc

commit 94ca40ab87ab134981e04a3981904a3a45e7aae6
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-01-17

    Fixed problem with editing connections to Windows network

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-con-dialog.cc

commit 0223313289a1f9e5c2e6ec84e9fdd37c0bb6731b
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-01-17

    Updated copyright info

M	libgcmd/gnome-cmd-dialog.cc
M	libgcmd/gnome-cmd-dialog.h
M	libgcmd/gnome-cmd-file-info.cc
M	libgcmd/gnome-cmd-file-info.h
M	libgcmd/gnome-cmd-plugin.cc
M	libgcmd/gnome-cmd-plugin.h
M	libgcmd/gnome-cmd-state.h
M	libgcmd/gnome-cmd-string-dialog.cc
M	libgcmd/gnome-cmd-string-dialog.h
M	libgcmd/libgcmd-data.cc
M	libgcmd/libgcmd-data.h
M	libgcmd/libgcmd-deps.h
M	libgcmd/libgcmd-utils.cc
M	libgcmd/libgcmd-utils.h
M	libgcmd/libgcmd-widget-factory.cc
M	libgcmd/libgcmd-widget-factory.h
M	libgcmd/libgcmd.h
M	libgcmd/plugin-info.h
M	plugins/cvs/cvs-plugin.cc
M	plugins/cvs/cvs-plugin.h
M	plugins/cvs/interface.cc
M	plugins/cvs/interface.h
M	plugins/cvs/parser.h
M	plugins/fileroller/file-roller-plugin.cc
M	plugins/fileroller/file-roller-plugin.h
M	plugins/python/md5sum/md5sum.py
M	plugins/python/sha1sum/sha1sum.py
M	plugins/test/test-plugin.cc
M	plugins/test/test-plugin.h
M	src/block.cc
M	src/cap.cc
M	src/cap.h
M	src/dialogs/gnome-cmd-advrename-regex-dialog.cc
M	src/dialogs/gnome-cmd-advrename-regex-dialog.h
M	src/dialogs/gnome-cmd-edit-profile-dialog.cc
M	src/dialogs/gnome-cmd-edit-profile-dialog.h
M	src/dialogs/gnome-cmd-manage-profiles-dialog.cc
M	src/dialogs/gnome-cmd-manage-profiles-dialog.h
M	src/dict.h
M	src/dirlist.cc
M	src/dirlist.h
M	src/eggcellrendererkeys.cc
M	src/eggcellrendererkeys.h
M	src/filter.cc
M	src/filter.h
M	src/gnome-cmd-about-plugin.cc
M	src/gnome-cmd-about-plugin.h
M	src/gnome-cmd-advrename-dialog.cc
M	src/gnome-cmd-advrename-dialog.h
M	src/gnome-cmd-advrename-lexer.h
M	src/gnome-cmd-advrename-lexer.ll
M	src/gnome-cmd-app.cc
M	src/gnome-cmd-app.h
M	src/gnome-cmd-chmod-component.cc
M	src/gnome-cmd-chmod-component.h
M	src/gnome-cmd-chmod-dialog.cc
M	src/gnome-cmd-chmod-dialog.h
M	src/gnome-cmd-chown-component.cc
M	src/gnome-cmd-chown-component.h
M	src/gnome-cmd-chown-dialog.cc
M	src/gnome-cmd-chown-dialog.h
M	src/gnome-cmd-clist.cc
M	src/gnome-cmd-clist.h
M	src/gnome-cmd-cmdline.cc
M	src/gnome-cmd-cmdline.h
M	src/gnome-cmd-con-device.cc
M	src/gnome-cmd-con-device.h
M	src/gnome-cmd-con-dialog.cc
M	src/gnome-cmd-con-dialog.h
M	src/gnome-cmd-con-ftp.cc
M	src/gnome-cmd-con-ftp.h
M	src/gnome-cmd-con-home.cc
M	src/gnome-cmd-con-home.h
M	src/gnome-cmd-con-list.cc
M	src/gnome-cmd-con-list.h
M	src/gnome-cmd-con-smb.cc
M	src/gnome-cmd-con-smb.h
M	src/gnome-cmd-con.cc
M	src/gnome-cmd-con.h
M	src/gnome-cmd-convert.cc
M	src/gnome-cmd-convert.h
M	src/gnome-cmd-data.cc
M	src/gnome-cmd-data.h
M	src/gnome-cmd-delete-dialog.cc
M	src/gnome-cmd-delete-dialog.h
M	src/gnome-cmd-dir-indicator.cc
M	src/gnome-cmd-dir-indicator.h
M	src/gnome-cmd-dir.cc
M	src/gnome-cmd-dir.h
M	src/gnome-cmd-file-collection.cc
M	src/gnome-cmd-file-collection.h
M	src/gnome-cmd-file-list.cc
M	src/gnome-cmd-file-list.h
M	src/gnome-cmd-file-popmenu.cc
M	src/gnome-cmd-file-popmenu.h
M	src/gnome-cmd-file-props-dialog.cc
M	src/gnome-cmd-file-props-dialog.h
M	src/gnome-cmd-file-selector.cc
M	src/gnome-cmd-file-selector.h
M	src/gnome-cmd-file.cc
M	src/gnome-cmd-file.h
M	src/gnome-cmd-hintbox.cc
M	src/gnome-cmd-hintbox.h
M	src/gnome-cmd-includes.h
M	src/gnome-cmd-key-shortcuts-dialog.cc
M	src/gnome-cmd-key-shortcuts-dialog.h
M	src/gnome-cmd-list-popmenu.cc
M	src/gnome-cmd-list-popmenu.h
M	src/gnome-cmd-main-menu.cc
M	src/gnome-cmd-main-menu.h
M	src/gnome-cmd-main-win.cc
M	src/gnome-cmd-main-win.h
M	src/gnome-cmd-make-copy-dialog.cc
M	src/gnome-cmd-make-copy-dialog.h
M	src/gnome-cmd-menu-button.cc
M	src/gnome-cmd-menu-button.h
M	src/gnome-cmd-mkdir-dialog.cc
M	src/gnome-cmd-mkdir-dialog.h
M	src/gnome-cmd-notebook.cc
M	src/gnome-cmd-notebook.h
M	src/gnome-cmd-options-dialog.cc
M	src/gnome-cmd-options-dialog.h
M	src/gnome-cmd-path.cc
M	src/gnome-cmd-path.h
M	src/gnome-cmd-patternsel-dialog.cc
M	src/gnome-cmd-patternsel-dialog.h
M	src/gnome-cmd-pixmap.cc
M	src/gnome-cmd-pixmap.h
M	src/gnome-cmd-plain-path.cc
M	src/gnome-cmd-plain-path.h
M	src/gnome-cmd-prepare-copy-dialog.cc
M	src/gnome-cmd-prepare-copy-dialog.h
M	src/gnome-cmd-prepare-move-dialog.cc
M	src/gnome-cmd-prepare-move-dialog.h
M	src/gnome-cmd-prepare-xfer-dialog.cc
M	src/gnome-cmd-prepare-xfer-dialog.h
M	src/gnome-cmd-profile-component.cc
M	src/gnome-cmd-profile-component.h
M	src/gnome-cmd-python-plugin.cc
M	src/gnome-cmd-python-plugin.h
M	src/gnome-cmd-quicksearch-popup.cc
M	src/gnome-cmd-quicksearch-popup.h
M	src/gnome-cmd-regex.h
M	src/gnome-cmd-remote-dialog.cc
M	src/gnome-cmd-remote-dialog.h
M	src/gnome-cmd-rename-dialog.cc
M	src/gnome-cmd-rename-dialog.h
M	src/gnome-cmd-search-dialog.cc
M	src/gnome-cmd-search-dialog.h
M	src/gnome-cmd-smb-auth.cc
M	src/gnome-cmd-smb-auth.h
M	src/gnome-cmd-smb-net.cc
M	src/gnome-cmd-smb-net.h
M	src/gnome-cmd-smb-path.cc
M	src/gnome-cmd-smb-path.h
M	src/gnome-cmd-style.cc
M	src/gnome-cmd-style.h
M	src/gnome-cmd-treeview.cc
M	src/gnome-cmd-treeview.h
M	src/gnome-cmd-types.h
M	src/gnome-cmd-user-actions.cc
M	src/gnome-cmd-user-actions.h
M	src/gnome-cmd-xfer-progress-win.cc
M	src/gnome-cmd-xfer-progress-win.h
M	src/gnome-cmd-xfer.cc
M	src/gnome-cmd-xfer.h
M	src/gnome-cmd-xml-config.cc
M	src/gnome-cmd-xml-config.h
M	src/handle.h
M	src/history.cc
M	src/history.h
M	src/imageloader.cc
M	src/imageloader.h
M	src/intviewer/bm_byte.cc
M	src/intviewer/bm_byte.h
M	src/intviewer/bm_chartype.cc
M	src/intviewer/bm_chartype.h
M	src/intviewer/cp437.cc
M	src/intviewer/cp437.h
M	src/intviewer/datapresentation.cc
M	src/intviewer/datapresentation.h
M	src/intviewer/fileops.cc
M	src/intviewer/fileops.h
M	src/intviewer/gvtypes.h
M	src/intviewer/image-render.cc
M	src/intviewer/image-render.h
M	src/intviewer/inputmodes.cc
M	src/intviewer/inputmodes.h
M	src/intviewer/libgviewer.h
M	src/intviewer/scroll-box.cc
M	src/intviewer/scroll-box.h
M	src/intviewer/search-dlg.cc
M	src/intviewer/search-dlg.h
M	src/intviewer/search-progress-dlg.cc
M	src/intviewer/search-progress-dlg.h
M	src/intviewer/searcher.cc
M	src/intviewer/searcher.h
M	src/intviewer/text-render.cc
M	src/intviewer/text-render.h
M	src/intviewer/viewer-utils.cc
M	src/intviewer/viewer-utils.h
M	src/intviewer/viewer-widget.cc
M	src/intviewer/viewer-widget.h
M	src/intviewer/viewer-window.cc
M	src/intviewer/viewer-window.h
M	src/ls_colors.cc
M	src/ls_colors.h
M	src/main.cc
M	src/owner.cc
M	src/owner.h
M	src/plugin_manager.cc
M	src/plugin_manager.h
M	src/tags/gnome-cmd-tags-doc.cc
M	src/tags/gnome-cmd-tags-doc.h
M	src/tags/gnome-cmd-tags-exiv2.cc
M	src/tags/gnome-cmd-tags-exiv2.h
M	src/tags/gnome-cmd-tags-file.cc
M	src/tags/gnome-cmd-tags-file.h
M	src/tags/gnome-cmd-tags-poppler.cc
M	src/tags/gnome-cmd-tags-poppler.h
M	src/tags/gnome-cmd-tags-taglib.cc
M	src/tags/gnome-cmd-tags-taglib.h
M	src/tags/gnome-cmd-tags.cc
M	src/tags/gnome-cmd-tags.h
M	src/utils.cc
M	src/utils.h
M	src/widget-factory.h
M	tests/gviewer/bm_byte_test.c
M	tests/gviewer/bm_chartype_test.c
M	tests/gviewer/datapresentation.c
M	tests/gviewer/dualrenderer.c
M	tests/gviewer/fileops.c
M	tests/gviewer/imagerenderer.c
M	tests/gviewer/inputmodes.c
M	tests/gviewer/search_dlg_test.c
M	tests/gviewer/textrenderer.c
M	tests/gviewer/viewerwidget.c
M	tests/gviewer/viewerwindow.c

commit 59a3539db5ed85364d978a1efb52e6625d142673
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-01-16

    Fixed problem with nonexistent user actions

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-user-actions.cc

commit 3d0147eb536510639af66d7412e2a5837cb15496
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-01-13

    spec: added deps for gnome-vfs2-smb and exiv2-libs

M	data/gnome-commander.spec.in

commit 84db6668b5e4af89efe728565259f1d91756d9aa
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2010-01-03

    plugins: prevent C++ name mangling for exported functions

M	plugins/cvs/cvs-plugin.cc
M	plugins/fileroller/file-roller-plugin.cc
M	plugins/test/test-plugin.cc

commit b0a98a87de3bf92a9256f2980a264492da810595
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-29

    Fixed problem #604558 (cursor lost/placed in wrong position)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file-list.cc

commit 27efa9c7f2072382cf93cc8457a9f1a9bf4fa3b0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-18

    Fixed a typo

M	NEWS
M	doc/C/gnome-commander.xml

commit fdae789778c55d0d7970b27f16a2933361a792e7
Author: Padraig O'Briain <Padraig.Obriain@Sun.COM>
Date:	2009-12-18

    Fixed problem #604904 (build error on Solaris)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-advrename-lexer.h

commit 54654921ccfed8a9725572d0b52d6d305ed3ec85
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-11

    libgcmd: migration to C++

M	libgcmd/Makefile.am
R097	libgcmd/gnome-cmd-dialog.c	libgcmd/gnome-cmd-dialog.cc
M	libgcmd/gnome-cmd-dialog.h
R097	libgcmd/gnome-cmd-file-info.c	libgcmd/gnome-cmd-file-info.cc
M	libgcmd/gnome-cmd-file-info.h
R097	libgcmd/gnome-cmd-plugin.c	libgcmd/gnome-cmd-plugin.cc
M	libgcmd/gnome-cmd-plugin.h
M	libgcmd/gnome-cmd-state.h
R096	libgcmd/gnome-cmd-string-dialog.c
libgcmd/gnome-cmd-string-dialog.cc
M	libgcmd/gnome-cmd-string-dialog.h
R100	libgcmd/libgcmd-data.c	libgcmd/libgcmd-data.cc
M	libgcmd/libgcmd-data.h
M	libgcmd/libgcmd-deps.h
R100	libgcmd/libgcmd-utils.c libgcmd/libgcmd-utils.cc
M	libgcmd/libgcmd-utils.h
R099	libgcmd/libgcmd-widget-factory.c
libgcmd/libgcmd-widget-factory.cc
M	libgcmd/libgcmd-widget-factory.h
M	libgcmd/libgcmd.h
M	libgcmd/plugin-info.h
M	po/POTFILES.in
M	src/main.cc

commit 1e79d60820dbf831b23466b37ea48a7bd23ec5dc
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-09

    Removed forgotten G_BEGIN_DECLS & G_END_DECLS

M	plugins/cvs/cvs-plugin.h
M	plugins/cvs/parser.h
M	plugins/test/test-plugin.h

commit add5d47df49c67a6740e07aae1b79610245cf1b4
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-08

    Build fix

M	src/gnome-cmd-options-dialog.cc

commit c1f909d22c5d48294302589c4866c33fe94feee5
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-08

    cvs plugin: migration to C++

M	libgcmd/libgcmd-widget-factory.c
M	libgcmd/libgcmd-widget-factory.h
M	plugins/cvs/Makefile.am
M	plugins/cvs/close.xpm
R096	plugins/cvs/cvs-plugin.c	plugins/cvs/cvs-plugin.cc
M	plugins/cvs/cvs-plugin.xpm
R098	plugins/cvs/interface.c plugins/cvs/interface.cc
R098	plugins/cvs/parser.l	plugins/cvs/parser.ll
M	po/POTFILES.in

commit 35c78030844f5ca7cf25fe1b1f18ef13d43b9427
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-08

    fileroller plugin: migration to C++

M	plugins/fileroller/Makefile.am
R093	plugins/fileroller/file-roller-plugin.c
plugins/fileroller/file-roller-plugin.cc
M	plugins/fileroller/file-roller-plugin.h
M	plugins/fileroller/file-roller-small.xpm
M	plugins/fileroller/file-roller.xpm
M	po/POTFILES.in

commit d54d6caa1dbd3e7794646eebf962698f3300b11d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-08

    test plugin: migration to C++

M	plugins/test/Makefile.am
R097	plugins/test/test-plugin.c	plugins/test/test-plugin.cc
M	po/POTFILES.in

commit 94e554b2e896ab631d51d9e5c0c96c8d53fcd037
Author: Ilya B <concious@mail.ru>
Date:	2009-07-03

    Fixed problem #571495 (replacing deprecated gnome_execute_shell()
    with g_spawn_async()), 2/3

M	plugins/fileroller/file-roller-plugin.c

commit 7516ad0ba91f01374ec73ba8336b9e1c77c2e332
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-08

    Bumped version to 1.2.8.5

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml

commit 93011100fc8d2c14e3c51a206409b83afca8a4a5
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-12-03

    1.2.8.4 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 60f4e6e19b8f9853e700ed2ee5f0fc091dcaa0df
Author: Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
Date:	2009-12-02

    Fixed problem #603301 (crash when cancelling symlink creation by ESC)

M	NEWS
M	doc/C/gnome-commander.xml
M	libgcmd/gnome-cmd-dialog.c
M	libgcmd/gnome-cmd-string-dialog.c

commit b0a529770ae7fceb5c525e37a0eedfae3d89a4d0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-11-25

    Fixed problem #602916 (non-working menu entry)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-main-menu.cc

commit 58e2ebc333dc601cf375fd16ee339700c551f0de
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-11-12

    Fixed problem with stalled keyboard after ALT+1/2 with hidden
    device list

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-main-win.cc

commit 3aed1d0e45522b478bda77e428938aab4ebb981d
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-11-08

    Updated German doc translation

M	doc/de/de.po

commit 6ac62cfa47cf54a4d021a1caa05a7562bfabcf7f
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-11-08

    Fixed problem with not working keypad enter in copy/move dialog

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-prepare-xfer-dialog.cc

commit e4e6cde02a921cd9c138314798f94cfcff9f3dc3
Author: Marcin Wider <mwider@gmail.com>
Date:	2009-10-30

    Fixed Ubuntu problem #369818 (incorrect sorting by size in panel)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file-list.cc

commit 4f23052ab24f104863feec74eb83def5ca27ef19
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-30

    Docs fix

M	doc/C/gnome-commander.xml

commit 95f059443104228c3b13aa4fcc629a3163b9fe0d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-30

    Bumped version to 1.2.8.4

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml

commit 1ac19d7e2e5f22bbac1a8b6514b349eeab8339d9
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-28

    1.2.8.3 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 174a9c319ea5fb5a2597a4974d1141b4c80b7dfc
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-26

    Fixed problem #541891 (file names with % in advanced file rename tool)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-advrename-lexer.ll

commit 3b2771a570a4faa41c568c67238b531b1aab6e42
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-24

    advrename: call strftime() only if template contains % character

M	src/gnome-cmd-advrename-lexer.ll

commit 169b5b7247711baf25d30f9508bc33cc3efc4d22
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-24

    advrename: replaced ECHO() macro with inlined echo() function
    counterpart

M	src/gnome-cmd-advrename-lexer.ll

commit ce6a2948c4ed08c0355c10825508b612189824cb
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-23

    advrename: concatenate consecutive TEXT chunks into one TEXT chunk

M	src/gnome-cmd-advrename-lexer.ll

commit 834f7817ce822b54a3b3391624ddc7cc91f6ce3d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-23

    advrename: concatenate consecutive non-[%$] chars into single
    TEXT chunk

M	src/gnome-cmd-advrename-lexer.ll

commit 627e6cc0be401b7555cc05de4db06cc3528698d0
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-21

    advrename: simplify code for handling %[Dnt] tokens

M	src/gnome-cmd-advrename-lexer.ll

commit 0e615faf9d2b2979f3c4ea928d84c6c4f840bb63
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-20

    advrename: do not parse file name, ext and dir for empty templates

M	src/gnome-cmd-advrename-lexer.ll

commit b9b8ac0d3faa6c5186f47654fa8e83821282e226
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-20

    advrename: eliminate redundant g_strdup()

    GnomeCmdAdvrenameDialog::update_new_filenames() used local buff[]
    for generating new fname from the given template,
    and then it copied the buff[] content into newly allocated string
    with g_strdup(). The fix makes it generate
    new fname directly in the allocated memory avoiding unnecessary copy.

M	src/gnome-cmd-advrename-dialog.cc
M	src/gnome-cmd-advrename-lexer.h
M	src/gnome-cmd-advrename-lexer.ll

commit 40ffe7304cec252e5f3da883749a9b030acf1384
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-19

    typo: characeter -> character

M	src/intviewer/inputmodes.cc
M	src/intviewer/text-render.cc

commit 38b6deed90637b28cbee6d2066d799a01e9fe3f8
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-19

    docs: reduced size of figures/gnome-commander_window.png a bit more

M	doc/C/figures/gnome-commander_window.png

commit 2b92e4d5e92bd42add9e1b571c18ed7845d9e984
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-17

    Updated German doc translation

M	doc/de/de.po

commit 3b4576c4ced6b02b325a219f9137c4308771ddfa
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-17

    Fixed problem #598278 (memory leak)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-dir-indicator.cc

commit e6d377e039f11f84f15649e07e43fe7694df4477
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-11

    Fixed problem #597890 (wrong arguments passed to meld)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-user-actions.cc

commit 9464fb499ca2eabd1439183baf9d5c4558e16c96
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-09

    Fixed problem #581645 (uncomfortable quick search)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-quicksearch-popup.cc

commit e2e0fc457b3347cd7ecb90409732b876ed0fa9ca
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-10-09

    docs: reduced size of figures/gnome-commander_window.png

M	doc/C/figures/gnome-commander_window.png

commit 32eba49d317b2bcca801e44b3046a1f2ffb62a2a
Author: Niklas Mattisson <niklas.mattisson@gmail.com>
Date:	2009-10-04

    Fixed problem #597233 (validating of doc translations)

M	NEWS
M	doc/C/gnome-commander.xml
M	doc/de/de.po

commit 50f66c930806a28035c3b0bbb91e25afbddb5f94
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-10-03

    Fixed problem #597144 (missing call to pclose)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/utils.cc

commit fc3914a3ec2fd5bd5c86344079bfb7007da8ecde
Author: Niklas Mattisson <niklas.mattisson@gmail.com>
Date:	2009-10-01

    Fixed problem #596973 (documentation build error)

M	NEWS
M	doc/C/gnome-commander.xml

commit 44ffdab4a215d0ad8705d80e8d01bc7c29bff07d
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-09-30

    Updated German doc translation

M	doc/de/de.po

commit 74fb966dd27ddcaba203fb7b6d3ebc59e729888c
Author: Niklas Mattisson <niklas.mattisson@gmail.com>
Date:	2009-09-30

    Fixed problem #596768 (build warnings for python)

M	NEWS
M	doc/C/gnome-commander.xml
M	m4/python.m4

commit 4b42e3757a014df014235479ac262a02607f3ae8
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-28

    File properties: use 'Directory name:' intead of 'File name:'
    for directories

M	src/gnome-cmd-file-props-dialog.cc

commit 5928b449f82af230f5f5cd7c833dd092bee41d08
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-29

    Bumped version to 1.2.8.3

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml

commit 6b02dbb37babb21953bda20cfc9b192219936843
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-22

    1.2.8.2 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 21407e8ed96af645b4c54c504e009e9e0aef4e6d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-22

    Fixed debian problem #438884 (wrong device label when switching
    panels with CTRL+U)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-main-win.cc

commit 72548f178688c97429d09ab4d6ab22153b8f5ae5
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-17

    This reverts bug introduced in commit
    91ee2dd9a34e0ef89a6797e517e5a715b985ffb9

M	doc/C/gnome-commander.xml

commit 00c6af0f90da40e2f63567c3e15039a7b8db7c2d
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-14

    Fixed problem #595097 (build error for poppler >= 0.11.3)

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml
M	src/tags/gnome-cmd-tags-poppler.cc

commit e1344cc3f66e9a9bf69c54453cbaf011d7215bd7
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-12

    Fixed a typo

M	NEWS
M	doc/C/gnome-commander.xml

commit 81cf270a66ae30acf3b1fa8788925fea55463972
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-12

    Fixed problem with broken file icon after renaming a symbolic link

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-file.cc

commit c02a55df27fa8d1248db21d8cfb107159721ecd2
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-09-12

    Do not call IMAGE_get_pixmap_and_mask() twice when displaying
    file icons

    That should spare a few cpu cycles when in file icon mode.

M	src/gnome-cmd-file-list.cc
M	src/gnome-cmd-file.cc
M	src/gnome-cmd-file.h

commit 17d3666afc963d73439cbbc95614739cf1ee9d49
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-20

    This reverts bug introduced in commit
    4c43d96b98f8dd5c8cc33fc92f4ae3ffc9840cfb (Migration to C++ #2)

M	src/gnome-cmd-prepare-copy-dialog.cc

commit 7282783e7cb95d692be3e699edf3f5408fc7b759
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-19

    Fixed problem #591944 (permissions set to 000 after chmod)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-chmod-component.cc

commit 91ee2dd9a34e0ef89a6797e517e5a715b985ffb9
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-19

    Bumped version to 1.2.8.2

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml

commit 87bd1c0f188fb0c3564e9eb6db1cdbc17a8c50e8
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-10

    1.2.8.1 release

M	doc/C/gnome-commander.xml
M	doc/gnome-commander.1

commit 390867cc09f2b0c2ababe268abf8ca6f6f658beb
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-10

    Fixed problem #591206 (crash while sysconf() on FreeBSD)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/owner.cc

commit 8fa107ed01acc408c04051f10cfc0ab5652a1d63
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-01

    Fixed problem with $c(16) counter formatting in advanced file rename
    templates

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-advrename-lexer.ll

commit 252059b87bf344d426717aa0e558b7701fb22ab7
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-10

    Fixed problem #589108 (build error on openSUSE)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-convert.cc

commit f9e76a9704f147f8edd638e8070a098110feeffb
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-10

    Fixed problem #587325 (crash in a clean chroot environment)

M	NEWS
M	doc/C/gnome-commander.xml
M	src/gnome-cmd-bookmark-dialog.cc
M	src/gnome-cmd-main-menu.cc

commit ee4e701572edb359c38f982c8dadc1f1ecbb1d02
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-06-30

    Add makefile rules to generate ChangeLog

M	ChangeLog-20090629
M	Makefile.am
M	doc/ChangeLog-20090629
M	po/ChangeLog-20090629

commit 196b0dec36d0e4bdc60f97477901aac9a7f6532f
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-06-30

    Autogenerate ChangeLog file

A	ChangeLog
A	doc/ChangeLog
A	po/ChangeLog

commit 61c798b8e28b8910d037d4236b3184101d0c3601
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-06-30

    Rename old ChangeLog files

R100	ChangeLog	ChangeLog-20090629
R100	doc/ChangeLog	doc/ChangeLog-20090629
R100	po/ChangeLog	po/ChangeLog-20090629

commit 5f30f7f6fa157025fe5c61b873f3c4d84150a9f9
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-06-30

    Added README.commits

M	Makefile.am
A	README.commits

commit 13aef4ff5600a9079af3c4fdec1a2c6e5844e4e7
Author: Piotr Eljasiak <epiotr@src.gnome.org>
Date:	2009-08-10

    Bumped version to 1.2.8.1

M	NEWS
M	configure.in
M	doc/C/gnome-commander.xml
